BANSHEE(1)

NAME
Banshee - Media Management and Playback application
Muinshee - Media Management and Playback application

SYNOPSIS
banshee [options...] [files|URIs...]
muinshee [options...] [files|URIs...]

DESCRIPTION
Banshee is an media management and playback application for the GNOME desktop, allowing users to import audio from CDs, search their library, create playlists of selections of their library, sync music to/from iPods and other media devices, play and manage video files and burn selections to a CD.

OPTIONS

--next
    Play the next track, optionally restarting if the 'restart' value is set

--previous
    Play the previous track, optionally restarting if the 'restart value is set

--restart-or-previous
    If the current song has been played longer than 4 seconds then restart it, otherwise the same as --previous

--play-enqueued
    Automatically start playing any tracks enqueued on the command line

--play
    Start playback

--pause
    Pause playback

--toggle-playing
    Toggle playback

--stop
    Completely stop playback

--stop-when-finished
    Enable or disable playback stopping after the currently playing track (value should be either 'true' or 'false')

--set-volume=LEVEL
    Set the playback volume (0-100), prefix with +/- for relative values

--set-position=POS
    Seek to a specific point (seconds, float)

--set-rating=RATING
    Set the currently played track's rating (0 to 5)

--query-current-state
    Current player state

--query-last-state
    Last player state

--query-can-pause
    Query whether the player can be paused

--query-can-seek
    Query whether the player can seek

--query-volume
    Player volume

--query-position
    Player position in currently playing track

--query-uri
    URI

--query-artist
    Artist Name

--query-album
    Album Title

--query-title
    Track Title

--query-duration
    Duration

--query-track-number
    Track Number

--query-track-count
    Track Count

--query-disc
    Disc Number

--query-year
    Year

--query-rating
    Rating

--query-score
    Score

--query-bit-rate
    Bit Rate

--show|--present
    Present the user interface on the active workspace

--fullscreen
    Enter the full-screen mode

--hide
    Hide the user interface

--no-present
    Do not present the user interface, regardless of any other options

--show-import-media
    Present the import media dialog box

--show-about
    Present the about dialog

--show-open-location
    Present the open location dialog

--show-preferences
    Present the preferences dialog

--debug
    Enable general debugging features

--debug-sql
    Enable debugging output of SQL queries

--debug-addins
    Enable debugging output of Mono.Addins

--db=FILE
    Specify an alternate database to use

--gconf-base-key=KEY
    Specify an alternate key, default is /apps/banshee-1/

--uninstalled
    Optimize instance for running uninstalled; most notably, this will create an alternate Mono.Addins database in the working directory

--disable-dbus
    Disable DBus support completely

--no-gtkrc
    Skip loading a custom gtkrc file (~/.config/banshee-1/gtkrc) if it exists

--help
    Show this help

--help-playback
    Show options for controlling playback

--help-query-track
    Show options for querying the playing track

--help-query-player
    Show options for querying the playing engine

--help-ui
    Show options for the user interface

--help-debug
    Show options for developers and debugging

--help-all
    Show all option groups

--version
    Show version information

Copyright 2005-2009 Novell, Inc. and Contributors.